# 🏗️ py-agent-core

**Foundation of the Intelligent Agents Platform**

[![PyPI](https://img.shields.io/pypi/v/py-agent-core)](https://pypi.org/project/py-agent-core/)
[![Python](https://img.shields.io/pypi/pyversions/py-agent-core)](https://pypi.org/project/py-agent-core/)
[![Status](https://img.shields.io/badge/Status-In%20Development-orange)](https://pypi.org/project/py-agent-core/)

## 🚧 Currently Under Development

**py-agent-core** provides the foundational components for the **Intelligent Agents Platform (IAP)**. This package contains shared utilities, base classes, and core MCP protocol implementations.

## 🎯 What's Coming

- ⚡ Core MCP protocol implementation
- 🔧 Shared utilities and base classes
- 🔌 Connection management and transport layers
- 📊 Monitoring and metrics infrastructure
- 🛡️ Security and authentication frameworks

## 🚀 Get Started Now

While **py-agent-core** is under development, start building with:

```bash
pip install py-agent-client
```

## 🏗️ Part of IAP Ecosystem

```
py-agent-core      🚧 Foundation (In Development)
├── py-agent-client     ✅ Available Now!
├── py-agent-server     🚧 Coming Soon
├── py-agent-tool       🚧 Coming Soon
└── py-agent-resources  🚧 Coming Soon
```

## 📅 Development Status

| Component | Status | Expected |
|-----------|--------|----------|
| Core Protocol | 🚧 In Progress | Q2 2026 |
| Transport Layer | 📋 Planned | Q2 2026 |
| Base Classes | 🚧 In Progress | Q3 2026 |

## 📚 Resources

- 📖 **[Documentation](https://github.com/fmonfasani/intelligent-agents-platform/wiki)**
- 🔗 **[GitHub Repository](https://github.com/fmonfasani/intelligent-agents-platform)**
- 🐛 **[Report Issues](https://github.com/fmonfasani/intelligent-agents-platform/issues)**

## 📧 Contact

**Federico Monfasani** - fmonfasani@gmail.com

---

**🚀 Big things are coming to the Intelligent Agents Platform!**